# Version SVN: $Id: 98_i18n_schema.yml 3342 2014-03-06 14:50:10Z sven.poeche $
propel:
  catalogue:
    _attributes:            { phpName: I18nCatalogue, allowPkInsert: true }
    cat_id:                 { type: integer, size:  11, required: true, primaryKey: true, autoIncrement: true }
    name:                   { type: varchar, size: 100 }
    source_lang:            { type: varchar, size: 100 }
    target_lang:            { type: varchar, size: 100 }
    date_created:           { type: timestamp }
    date_modified:          { type: timestamp }
    author:                 { type: varchar, size: 255 }
    _indexes:
      target_lang:          [target_lang]

  trans_unit:
    _attributes:            { phpName: I18nTransUnit, allowPkInsert: true }
    msg_id:                 { type: integer, size:  11, required: true, primaryKey: true, autoIncrement: true }
    cat_id:                 { type: integer, size:  11, required: true }
    id:                     { type: varchar, size: 255 }
    source:                 { type: longvarchar }
    target:                 { type: longvarchar }
    comments:               { type: longvarchar }
    date_added:             { type: timestamp }
    date_modified:          { type: timestamp }
    author:                 { type: varchar, size: 255 }
    translated:             { type: integer, size:   1, required: true, default: 0 }
    _foreignKeys:
      tu_fk_cat_id:         { foreignTable: catalogue, references: [ {local: cat_id, foreign: cat_id} ] }
    _indexes:
      source:               [cat_id, source(255)]
